Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 56175)
+++ apps/app_voicemail.c	(working copy)
@@ -122,7 +122,7 @@
 
 /* Forward declarations for IMAP */
 static int init_mailstream(struct vm_state *vms, int box);
-static void write_file char *filename, char *buffer, unsigned long len);
+static void write_file(char *filename, char *buffer, unsigned long len);
 static void display_body(BODY *body, char *pfx, long i);
 static char *get_header_by_tag(char *header, char *tag, char *buf, size_t len);
 static void vm_imap_delete(int msgnum, struct vm_state *vms);
@@ -417,9 +417,11 @@
 
 #ifdef ODBC_STORAGE
 #define tdesc "Comedian Mail (Voicemail System) with ODBC Storage"
-#elifdef IMAP_STORAGE
+#endif
+#ifdef IMAP_STORAGE
 #define tdesc "Comedian Mail (Voicemail System) with IMAP Storage"
-#else
+#endif
+#if !defined ODBC_STORAGE && !defined IMAP_STORAGE
 #define tdesc "Comedian Mail (Voicemail System)"
 #endif
 
